Skip to main content
`Ctrl`+`K`

# DMPlexInsertBounds

Puts coefficients which represent solution bounds into the local bounds vector

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInsertBounds(DM dm, PetscBool lower, PetscReal time, Vec locB)

Not Collective

## Input Parameters

- dm - The `DM`

- lower - If `PETSC_TRUE` use `DM_BC_LOWER_BOUND` conditions, otherwise use `DM_BC_UPPER_BOUND`

- time - The time

## Output Parameter

- locB - Bounds vector updated with new bounds

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMProjectFunctionLabelLocal()`, `PetscDSAddBoundary()`

## Level

intermediate

## Location

src/dm/impls/plex/plexfem.c

## Implementations

DMPlexInsertBounds_Plex() in src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages